Showing:

Annotations
Diagrams
Facets
Instances
Properties
Source
Used by
Included schema base.xsd
Namespace http://bar.admin.ch/arelda/v4
Properties
attribute form default: unqualified
element form default: qualified
Element historischerZeitraum / von
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id79 arelda0.tmp#id81 arelda0.tmp#id78
Type historischerZeitpunkt
Properties
content: complex
Model ca{0,1} , datum
Children ca, datum
Instance
<von>
  <ca>{0,1}</ca>
  <datum>{1,1}</datum>
</von>
Source
<xs:element name="von" type="historischerZeitpunkt"/>
Element historischerZeitpunkt / ca
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id80
Type ca
Properties
content: simple
minOccurs: 0
default: false
Source
<xs:element name="ca" minOccurs="0" default="false" type="ca"/>
Element historischerZeitpunkt / datum
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id82
Type datumTypA
Properties
content: simple
Source
<xs:element name="datum" type="datumTypA"/>
Element historischerZeitraum / bis
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id79 arelda0.tmp#id81 arelda0.tmp#id78
Type historischerZeitpunkt
Properties
content: complex
Model ca{0,1} , datum
Children ca, datum
Instance
<bis>
  <ca>{0,1}</ca>
  <datum>{1,1}</datum>
</bis>
Source
<xs:element name="bis" type="historischerZeitpunkt"/>
Element zeitraum / von
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id60
Type datumTypB
Properties
content: simple
Source
<xs:element name="von" type="datumTypB"/>
Element zeitraum / bis
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id60
Type datumTypB
Properties
content: simple
Source
<xs:element name="bis" type="datumTypB"/>
Simple Type text4
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram
Type xs:string
Used by
Source
<xs:simpleType name="text4">
  <xs:restriction base="xs:string">
  </xs:restriction>
</xs:simpleType>
Simple Type text1
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram
Type restriction of xs:string
Facets
maxLength 100
Used by
Source
<xs:simpleType name="text1">
  <xs:restriction base="xs:string">
    <xs:maxLength value="100"/>
  </xs:restriction>
</xs:simpleType>
Simple Type text2
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram
Type restriction of xs:string
Facets
maxLength 200
Used by
Source
<xs:simpleType name="text2">
  <xs:restriction base="xs:string">
    <xs:maxLength value="200"/>
  </xs:restriction>
</xs:simpleType>
Simple Type text3
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram
Type restriction of xs:string
Facets
maxLength 1000
Used by
Source
<xs:simpleType name="text3">
  <xs:restriction base="xs:string">
    <xs:maxLength value="1000"/>
  </xs:restriction>
</xs:simpleType>
Simple Type notizDatum
Namespace http://bar.admin.ch/arelda/v4
Annotations
Datum, an welchem die Notiz erfasst wurde. Datums-Tagengenauigkeit reicht (keine Std. und Sek.). Zwingendes Feld.
Diagram
Diagram arelda0.tmp#id60
Type datumTypB
Type hierarchy
Used by
Source
<xs:simpleType name="notizDatum">
  <xs:annotation>
    <xs:documentation>Datum, an welchem die Notiz erfasst wurde. Datums-Tagengenauigkeit reicht (keine Std. und Sek.). Zwingendes Feld.</xs:documentation>
  </xs:annotation>
  <xs:restriction base="datumTypB"/>
</xs:simpleType>
Simple Type datumTypB
Namespace http://bar.admin.ch/arelda/v4
Annotations
Zeitpunkte: the following values are possible by date type 3 regular expression
technische Anwendung
Date Data Type (xs:date)
The date is specified in the following form "YYYY-MM-DD" where:
* YYYY indicates the year
* MM indicates the month
* DD indicates the day
Note: All components are required!
				
DateTime Data Type (xs:dateTime)
The dateTime data type is used to specify a date and a time.
The dateTime is specified in the following form "YYYY-MM-DDThh:mm:ss" where:
* YYYY indicates the year
* MM indicates the month
* DD indicates the day
* T indicates the start of the required time section
* hh indicates the hour
* mm indicates the minute
* ss indicates the second
Note: All components are required!
Diagram
Diagram
Type union of(xs:date, xs:dateTime)
Used by
Simple Type notizDatum
Elements zeitraum/bis, zeitraum/von
Source
<xs:simpleType name="datumTypB">
  <xs:annotation>
    <xs:documentation>Zeitpunkte: the following values are possible by date type 3 regular expression technische Anwendung Date Data Type (xs:date) The date is specified in the following form "YYYY-MM-DD" where: * YYYY indicates the year * MM indicates the month * DD indicates the day Note: All components are required! DateTime Data Type (xs:dateTime) The dateTime data type is used to specify a date and a time. The dateTime is specified in the following form "YYYY-MM-DDThh:mm:ss" where: * YYYY indicates the year * MM indicates the month * DD indicates the day * T indicates the start of the required time section * hh indicates the hour * mm indicates the minute * ss indicates the second Note: All components are required!</xs:documentation>
  </xs:annotation>
  <xs:union memberTypes="xs:date xs:dateTime"/>
</xs:simpleType>
Simple Type notizErfasser
Namespace http://bar.admin.ch/arelda/v4
Annotations
Benutzer, welcher die Notiz erfasst hat. Optionales Feld.
Diagram
Diagram arelda0.tmp#id25
Type text1
Type hierarchy
Facets
maxLength 100
Used by
Source
<xs:simpleType name="notizErfasser">
  <xs:annotation>
    <xs:documentation>Benutzer, welcher die Notiz erfasst hat. Optionales Feld.</xs:documentation>
  </xs:annotation>
  <xs:restriction base="text1"/>
</xs:simpleType>
Simple Type notizBeschreibung
Namespace http://bar.admin.ch/arelda/v4
Annotations
Notiz i.e.S, d.h. Beschreibung. Zwingendes Feld.
Diagram
Diagram arelda0.tmp#id21
Type text4
Type hierarchy
Used by
Source
<xs:simpleType name="notizBeschreibung">
  <xs:annotation>
    <xs:documentation>Notiz i.e.S, d.h. Beschreibung. Zwingendes Feld.</xs:documentation>
  </xs:annotation>
  <xs:restriction base="text4"/>
</xs:simpleType>
Complex Type historischerZeitraum
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id77 arelda0.tmp#id84
Used by
Model von , bis
Children bis, von
Source
<xs:complexType name="historischerZeitraum">
  <xs:sequence>
    <xs:element name="von" type="historischerZeitpunkt"/>
    <xs:element name="bis" type="historischerZeitpunkt"/>
  </xs:sequence>
</xs:complexType>
Complex Type historischerZeitpunkt
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id79 arelda0.tmp#id81
Used by
Model ca{0,1} , datum
Children ca, datum
Source
<xs:complexType name="historischerZeitpunkt">
  <xs:sequence>
    <xs:element name="ca" minOccurs="0" default="false" type="ca"/>
    <xs:element name="datum" type="datumTypA"/>
  </xs:sequence>
</xs:complexType>
Simple Type ca
Namespace http://bar.admin.ch/arelda/v4
Annotations
Diagram
Diagram
Type xs:boolean
Used by
Source
<xs:simpleType name="ca">
  <xs:annotation>
    <xs:documentation/>
  </xs:annotation>
  <xs:restriction base="xs:boolean"/>
</xs:simpleType>
Simple Type datumTypA
Namespace http://bar.admin.ch/arelda/v4
Annotations
Zeitpunkte: the following values are possible by date type 1 regular expression
historische Anwendung
31.01.2004
ca.31.01.2004
2004
ca.2004
keine Angabe
Diagram
Diagram arelda0.tmp#id83
Type union of(xs:date, xs:gYear, keineAngabe)
Used by
Source
<xs:simpleType name="datumTypA">
  <xs:annotation>
    <xs:documentation>Zeitpunkte: the following values are possible by date type 1 regular expression historische Anwendung 31.01.2004 ca.31.01.2004 2004 ca.2004 keine Angabe</xs:documentation>
  </xs:annotation>
  <xs:union memberTypes="xs:date xs:gYear keineAngabe"/>
</xs:simpleType>
Complex Type zeitraum
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id116 arelda0.tmp#id117
Used by
Model von , bis
Children bis, von
Source
<xs:complexType name="zeitraum">
  <xs:sequence>
    <xs:element name="von" type="datumTypB"/>
    <xs:element name="bis" type="datumTypB"/>
  </xs:sequence>
</xs:complexType>
Complex Type comparable
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram
Properties
abstract: true
Source
<xs:complexType name="comparable" abstract="true"/>
Simple Type keineAngabe
Namespace http://bar.admin.ch/arelda/v4
Annotations
Diagram
Diagram
Type restriction of xs:token
Facets
enumeration keine Angabe
Source
<xs:simpleType name="keineAngabe">
  <xs:annotation>
    <xs:documentation/>
  </xs:annotation>
  <xs:restriction base="xs:token">
    <xs:enumeration value="keine Angabe"/>
  </xs:restriction>
</xs:simpleType>
Simple Type zeitpunkt
Namespace http://bar.admin.ch/arelda/v4
Diagram
Diagram arelda0.tmp#id60
Type union of(datumTypB)
Source
<xs:simpleType name="zeitpunkt">
  <xs:union memberTypes="datumTypB"/>
</xs:simpleType>